View Issue Details

IDProjectCategoryView StatusLast Update
0002016DraftBugpublic2015-12-15 13:18
Reporterbgpoythress Assigned Toyorik  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformDell Inspiron 3542OSUbuntuOS Version14.04
Product Version0.14 
Target VersionFixed in Version0.16 
Summary0002016: Annotation using draft workbench causes crash
DescriptionOnce an annotation is created. If it is edited in the data tab of the left information pane, and an empty line is placed between lines of text, the application crashes once the command is completed. Either empty lines should not be accepted in the annotation edit window, or the function should handle the empty line without crashing. Thanks.
Steps To Reproducecreate annotation text-> with text selected, select the data tab-> select the label text edit button labelled "..."-> create multiple lines of text with an empty line in between->complete command -> crash
TagsNo tags attached.

Activities

yorik

2015-03-21 16:57

administrator   ~0005896

This is a problem in the App::Annotation object. I'll have a look...

Related Changesets

FreeCAD: master 9426a776

2015-09-01 16:48:08

yorik

Details Diff
Fixed crash when empty lines in App::Annotation - fixes 0002016 Affected Issues
0002016
mod - src/Gui/ViewProviderAnnotation.cpp Diff File

Issue History

Date Modified Username Field Change
2015-03-21 03:36 bgpoythress New Issue
2015-03-21 16:57 yorik Note Added: 0005896
2015-03-21 16:57 yorik Assigned To => yorik
2015-03-21 16:57 yorik Status new => assigned
2015-09-01 14:49 yorik Changeset attached => FreeCAD Master master 9426a776
2015-09-01 14:49 yorik Status assigned => closed
2015-09-01 14:49 yorik Resolution open => fixed
2015-12-15 13:18 yorik Fixed in Version => 0.16